X2Go Bug report logs - #1002
Windows: Folder and Printer Sharing broken since update to cygwin bundle 20160121-1

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike DePaulo <mikedep333@gmail.com>

Date: Thu, 25 Feb 2016 14:40:01 UTC

Severity: normal

Tags: build-win32

Found in version 4.0.5.1

Done: Mike DePaulo <mikedep333@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1002; Package x2goclient. (Thu, 25 Feb 2016 14:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Feb 2016 14:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: Windows: Folder and Printer Sharing broken since update to cygwin bundle 20160121-1
Date: Thu, 25 Feb 2016 09:37:14 -0500
package: x2goclient
version: 4.0.5.1
tags: build-win32

Ever since I updated the Cygwin bundle to version 20160121-1, which
includes an openssh update:
openssh 6.8p1-1-x2go1 -> 7.1p2-1-x2go1 (security update)

Folder and printer sharing has been broken.

Specifically, the sshfs mounts never take place on the server. The
sshd.exe process is running though.

I have been talking with Ionic on IRC about this. The most logical
next step for debugging this is for me to modify the behavior of
x2goclient's --debug on Windows to pass an option like this to
sshd.exe:
-E /path/to/debug/log


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1002; Package x2goclient. (Mon, 02 May 2016 00:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 02 May 2016 00:55:02 GMT) (full text, mbox, link).


Message #10 received at 1002@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 1002@bugs.x2go.org
Subject: Status Update
Date: Sun, 1 May 2016 20:54:35 -0400
1. This is holding up the release of X2Go Client for Windows 4.0.5.1.
2. I did add support for the debug feature. As of the source code
release of 4.0.5.1, logs are now logged to filepaths like
C:\Users\mike\.x2go\sshLogs\p15016.log , where the "p15016" is
semi-random.
3. I fixed the original issue I discovered from the logs whereby
support for DSA keys was dropped, but we were only using DSA keys. To
do this, I re-enabled support for DSA keys, as a "fix" until #1003 is
fixed. This fix is on the branch bugfix/mswin-1002 . Discussion here:
http://lists.x2go.org/pipermail/x2go-dev/2016-April/011129.html
4. However, there is some other issue that appears to be breaking
folder and printer sharing. I intend to investigate soon.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1002; Package x2goclient. (Sun, 05 Jun 2016 02:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 05 Jun 2016 02:45:01 GMT) (full text, mbox, link).


Message #15 received at 1002@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 1002-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1002@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Sun, 5 Jun 2016 04:43:05 +0200 (CEST)
close #1002
thanks

Hello,

we are very hopeful that X2Go issue #1002 reported by you
has been resolved in the new release (4.0.5.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=ddee9d13eb528324f57409f9a7a4adcbc7849f3d;hp=c80b04add271dcdac482c2526708a21b0ec4932c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.1-2016.06.05
Status: RELEASE
Date: Sat, 04 Jun 2016 22:37:35 -0400
Fixes: 1002
Changes: 
 x2goclient (4.0.5.1-2016.06.05) RELEASED; urgency=medium
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.5.1-2016.06.05):
     - Windows: add sshd debug1 logging when using the --debug flag.
     - Windows: Revert back to Cygwin components that have not been
       "rebased"
     - Windows: Fix folder and printer sharing with our current version
       of Cygwin sshd (7.1) by re-enabling support for DSA host keys
       (Fixes: #1002)


Marked Bug as done Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 05 Jun 2016 02:45:03 GMT) (full text, mbox, link).


Notification sent to Mike DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Sun, 05 Jun 2016 02:45:03 GMT) (full text, mbox, link).


Message sent on to Mike DePaulo <mikedep333@gmail.com>:
Bug#1002. (Sun, 05 Jun 2016 02:45:04 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 03 Jul 2016 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Aug 22 23:12:01 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.